﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication24.GridFeatures" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

<div class="frame ">
    <div>
        <ej:Button ID="Excel" Type="button" runat="server" Text="excelExporting" ClientSideOnClick="exportGrid">
</ej:Button>
  
<ej:Button ID="Word" runat="server"  Type="button" Text="wordExporting" ClientSideOnClick="exportGrid">
</ej:Button>
  
<ej:Button ID="PDF" runat="server"  Type="button" Text="pdfExporting" ClientSideOnClick="exportGrid">
</ej:Button>
  
<ej:Grid id="Grid1" runat="server"  AllowSorting="True" IsResponsive="true" OnServerWordExporting="FlatGrid_ServerwordExporting" OnServerPdfExporting="FlatGrid_ServerpdfExporting" OnServerExcelExporting="FlatGrid_ServerexcelExporting" AllowPaging="True">
            <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport,wordExport,pdfExport"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" Priority="2"/>
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" Priority="3"/>
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" Priority="4"/>
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" Priority="4"/>
            </Columns>
        </ej:Grid>
    </div>
        </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Script" runat="server">
    <script type="text/javascript">
function exportGrid(args) {
  
    var gridObj = $('#<%= Grid1.ClientID %>').data("ejGrid");
  
     serverEvent = args.model.text.toString();
     gridObj.export("/GridFeatures.aspx/FlatGrid_Server"+serverEvent, serverEvent);
  
}
        </script>
    </asp:Content>